View Issue Details

IDProjectCategoryView StatusLast Update
0004192SymmetricDSImprovementpublic2020-05-26 14:48
Reporterpmarzullo Assigned Toelong  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.12.0 
Target Version3.12.0Fixed in Version3.12.0 
Summary0004192: Non-unique index on sym_data should be unique
DescriptionThe index on data_id, channel_id should be defined as unique.

This will give more information to the database server about the index, possibly causing it to create execution plans that are more efficient.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.12 8d410bd4

2020-04-28 12:56:30

admin

Details Diff
0004192: Non-unique index on sym_data should be unique Affected Issues
0004192
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/DatabaseUpgradeListener.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

Issue History

Date Modified Username Field Change
2019-12-10 15:09 pmarzullo New Issue
2019-12-10 15:09 pmarzullo Status new => assigned
2019-12-10 15:09 pmarzullo Assigned To => pmarzullo
2020-04-28 12:57 elong Assigned To pmarzullo => elong
2020-04-28 12:57 elong Status assigned => resolved
2020-04-28 12:57 elong Resolution open => fixed
2020-04-28 12:57 elong Fixed in Version => 3.12.0
2020-04-28 13:00 admin Changeset attached => SymmetricDS 3.12 8d410bd4
2020-05-26 14:48 elong Status resolved => closed